commit:     2084875d5ddd01a0efb61a5d18aff9bb049ff6d5
Author:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 23 07:49:56 2018 +0000
Commit:     Tiziano Müller <dev-zero <AT> gentoo <DOT> org>
CommitDate: Fri Nov 23 07:51:23 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2084875d

app-emulation/libcacard: fix test failures

by reducing the test suite for now to avoid pulling in SoftHSMv2

Closes: https://bugs.gentoo.org/663704
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Tiziano Müller <dev-zero <AT> gentoo.org>

 app-emulation/libcacard/libcacard-2.6.0.ebuild | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/app-emulation/libcacard/libcacard-2.6.0.ebuild 
b/app-emulation/libcacard/libcacard-2.6.0.ebuild
index 22750df56b3..39e02adda5a 100644
--- a/app-emulation/libcacard/libcacard-2.6.0.ebuild
+++ b/app-emulation/libcacard/libcacard-2.6.0.ebuild
@@ -18,6 +18,15 @@ RDEPEND=">=dev-libs/nss-3.13
 DEPEND="${RDEPEND}
        virtual/pkgconfig"
 
+src_prepare() {
+       default
+
+       # remove test requiring SoftHSMv2 which is not in the tree atm
+       sed -i \
+               -e 's|tests/hwtests$(EXEEXT) \($(am__EXEEXT_1)\)|\1|' \
+               Makefile.in || die
+}
+
 src_configure() {
        econf \
                $(use_enable passthrough pcsc) \

Reply via email to